const TransactionType = Object.freeze({
  ONLINE: 0,
  MANUAL: 1,
});

const TransactionTypeLabels = Object.freeze({
  [TransactionType.ONLINE]: 'أونلاين',
  [TransactionType.MANUAL]: 'يدوي',
});

const TransactionTypeTranslationKeys = Object.freeze({
  [TransactionType.ONLINE]: 'transactionType.online',
  [TransactionType.MANUAL]: 'transactionType.manual',
});

export { TransactionType, TransactionTypeLabels, TransactionTypeTranslationKeys };
